Index: Makefile
===================================================================
--- Makefile	(revision 0e6d3c0b4561bc227518f58887266f048bd68bad)
+++ Makefile	(revision 05d60cedcd5f27ae095e16e8ffd9534d064eb960)
@@ -6,24 +6,30 @@
 NOCHUNKS_OUTPUT=LFS-BOOK.html
 
+ifdef V
+  Q =
+else
+  Q = @
+endif
+
 lfs: validxml profile-html
 	@echo "Generating chunked XHTML files..."
-	@xsltproc --nonet -stringparam chunk.quietly $(CHUNK_QUIET) \
+	$(Q)xsltproc --nonet -stringparam chunk.quietly $(CHUNK_QUIET) \
 	  -stringparam rootid $(ROOT_ID) -stringparam base.dir $(BASEDIR)/ \
 	  stylesheets/lfs-chunked.xsl /tmp/lfs-html.xml
 
 	@echo "Copying CSS code and images..."
-	@if [ ! -e $(BASEDIR)/stylesheets ]; then \
+	$(Q)if [ ! -e $(BASEDIR)/stylesheets ]; then \
 	  mkdir -p $(BASEDIR)/stylesheets; \
 	fi;
-	@cp stylesheets/lfs-xsl/*.css $(BASEDIR)/stylesheets
-	@if [ ! -e $(BASEDIR)/images ]; then \
+	$(Q)cp stylesheets/lfs-xsl/*.css $(BASEDIR)/stylesheets
+	$(Q)if [ ! -e $(BASEDIR)/images ]; then \
 	  mkdir -p $(BASEDIR)/images; \
 	fi;
-	@cp images/*.png $(BASEDIR)/images
-	@cd $(BASEDIR)/; sed -i -e "s@../stylesheets@stylesheets@g" *.html
-	@cd $(BASEDIR)/; sed -i -e "s@../images@images@g" *.html
+	$(Q)cp images/*.png $(BASEDIR)/images
+	$(Q)cd $(BASEDIR)/; sed -i -e "s@../stylesheets@stylesheets@g" *.html
+	$(Q)cd $(BASEDIR)/; sed -i -e "s@../images@images@g" *.html
 
-	@echo "Running Tidy..."
-	@for filename in `find $(BASEDIR) -name "*.html"`; do \
+	@echo "Running Tidy and obfuscate.sh..."
+	$(Q)for filename in `find $(BASEDIR) -name "*.html"`; do \
 	  tidy -config tidy.conf $$filename; \
 	  true; \
@@ -32,40 +38,41 @@
 	done;
 
-	@$(MAKE) wget-list
+	$(Q)$(MAKE) wget-list
 
 pdf: validxml
 	@echo "Generating profiled XML for PDF..."
-	@xsltproc --nonet --stringparam profile.condition pdf \
+	$(Q)xsltproc --nonet --stringparam profile.condition pdf \
 	  --output /tmp/lfs-pdf.xml stylesheets/lfs-xsl/profile.xsl \
 	  /tmp/lfs-full.xml
 
 	@echo "Generating FO file..."
-	@xsltproc --nonet -stringparam rootid $(ROOT_ID) \
+	$(Q)xsltproc --nonet -stringparam rootid $(ROOT_ID) \
 	  --output /tmp//lfs-pdf.fo stylesheets/lfs-pdf.xsl /tmp/lfs-pdf.xml
-	@sed -i -e 's/span="inherit"/span="all"/' /tmp/lfs-pdf.fo
+	$(Q)sed -i -e 's/span="inherit"/span="all"/' /tmp/lfs-pdf.fo
 
 	@echo "Generating PDF file..."
-	@fop /tmp/lfs-pdf.fo $(BASEDIR)/$(PDF_OUTPUT)
+	$(Q)fop /tmp/lfs-pdf.fo $(BASEDIR)/$(PDF_OUTPUT)
 
 nochunks: validxml profile-html
 	@echo "Generating non chunked XHTML file..."
-	@xsltproc --nonet -stringparam profile.condition html \
+	$(Q)xsltproc --nonet -stringparam profile.condition html \
 	  -stringparam rootid $(ROOT_ID) --output $(BASEDIR)/$(NOCHUNKS_OUTPUT) \
 	  stylesheets/lfs-nochunks.xsl /tmp/lfs-html.xml
 
 	@echo "Running Tidy..."
-	@tidy -config tidy.conf $(BASEDIR)/$(NOCHUNKS_OUTPUT) || true
-	@sh obfuscate.sh $(BASEDIR)/$(NOCHUNKS_OUTPUT)
-	@sed -i -e "s@text/html@application/xhtml+xml@g"  \
+	$(Q)tidy -config tidy.conf $(BASEDIR)/$(NOCHUNKS_OUTPUT) || true
+	@echo "Running obfuscate.sh..."
+	$(Q)sh obfuscate.sh $(BASEDIR)/$(NOCHUNKS_OUTPUT)
+	$(Q)sed -i -e "s@text/html@application/xhtml+xml@g"  \
 	  $(BASEDIR)/$(NOCHUNKS_OUTPUT)
 
 validxml:
 	@echo "Validating the book..."
-	@xmllint --nonet --noent --xinclude --postvalid \
+	$(Q)xmllint --nonet --noent --xinclude --postvalid \
 	  -o /tmp/lfs-full.xml index.xml
 
 profile-html: validxml
 	@echo "Generating profiled XML for XHTML..."
-	@xsltproc --nonet --stringparam profile.condition html \
+	$(Q)xsltproc --nonet --stringparam profile.condition html \
 	  --output /tmp/lfs-html.xml stylesheets/lfs-xsl/profile.xsl \
 	  /tmp/lfs-full.xml
@@ -73,16 +80,16 @@
 wget-list:
 	@echo "Generating wget list..."
-	@mkdir -p $(BASEDIR)
-	@xsltproc --xinclude --nonet --output $(BASEDIR)/wget-list \
+	$(Q)mkdir -p $(BASEDIR)
+	$(Q)xsltproc --xinclude --nonet --output $(BASEDIR)/wget-list \
 	  stylesheets/wget-list.xsl chapter03/chapter03.xml
 
-dump-commands:
+dump-commands: validxml
 	@echo "Dumping book commands..."
-	@xsltproc --xinclude --nonet --output $(DUMPDIR)/ \
-	   stylesheets/dump-commands.xsl index.xml
+	$(Q)xsltproc --output $(DUMPDIR)/ \
+	   stylesheets/dump-commands.xsl /tmp/lfs-full.xml
 
 validate:
 	@echo "Validating the book..."
-	@xmllint --noout --nonet --xinclude --postvalid index.xml
+	$(Q)xmllint --noout --nonet --xinclude --postvalid index.xml
 
 all: lfs nochunks pdf dump-commands
Index: obfuscate.sh
===================================================================
--- obfuscate.sh	(revision 0e6d3c0b4561bc227518f58887266f048bd68bad)
+++ obfuscate.sh	(revision 05d60cedcd5f27ae095e16e8ffd9534d064eb960)
@@ -4,4 +4,6 @@
 # obfuscate email addresses in XML/HTML
 # Script written (and slight perl modification) by Archaic <archaic AT linuxfromscratch D0T org>
+# Modified from "sed -i" to old style "sed -e" by Manuel Canales <manuel AT linuxfromscratch D0T org>
+# to prevent hangs on very long files, like nonckunked books.
 # Original Perl expression by Anderson Lizardo <lizardo AT linuxfromscratch D0T org>
 # Released under the GNU General Public License
@@ -26,10 +28,12 @@
 #cp "$1" "$1".bak
 
-for i in `grep -o '"mailto:.*@.*"' "$1" |sed -e 's|^"mailto:||' -e 's|"$||'`; do
+for i in `grep -o '"mailto:.*@.*"' ${1} |sed -e 's|^"mailto:||' -e 's|"$||'`; do
   link=`echo $i | perl -pe 's/[^\n]/"\\\&#".ord($&)."\;"/ge'`
   plaintext=`echo $i | sed -e 's|@| AT |' -e 's|\.| D0T |g'`
-  sed -i "s|mailto:$i|mailto:$link|" "$1"
-  sed -i "s|$i|$plaintext|" "$1"
+  cp ${1}{,.tmp}
+  sed -e "s|mailto:$i|mailto:$link|" \
+      -e "s|$i|$plaintext|" ${1}.tmp > ${1}
+  rm ${1}.tmp
 done
-
+#rm $FILE.tmp
 #exit 0
